import request from '@/utils/request'

export function listRequisition(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeRequisition(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params:query
  })
}

export function createRequisition(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readRequisition(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params:query
  })
}

export function updateRequisition(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteRequisition(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params:query
  })
}
